/* ================================
   Footer
   ================================ */
.footer {
  background: var(--gray);
  padding: 80px 20px 80px;
  font-size: 14px;
  font-weight: 500;
  line-height: normal;
  color: var(--black);
}

.footer__main {
  max-width: 1920px;
  margin: 0 auto;
  width: 100%;
}

.footer__logo {
  --fill-0: black;
  width: 100%;
  height: auto;
  display: block;
  margin-bottom: 50px;
}

.footer__logo {
  opacity: 0;
  transform: translateY(-130px);
  transition: opacity 0.7s ease, transform 0.7s ease;
}

.footer__logo.is-visible {
  opacity: 1;
  transform: translateY(0);
}

.footer__copy {
  display: block;
  margin-bottom: 50px;

  a {
    color: var(--black);
    text-decoration: none;

    &:hover {
      color: var(--orange);
    }
  }
}

.footer__address {
  margin-bottom: 50px;
}

.footer__info a {
  text-decoration: none;
  color: var(--black);

  &:hover {
    color: var(--orange);
  }
}

.socials {
  display: flex;
  flex-direction: row;
  gap: 20px;
  margin-bottom: 50px;
}

.socials a img {
  transition: opacity 0.2s ease;
}

.socials a:hover img,
.socials a:focus-visible img {
  opacity: 0.75;
}

.footer .socials img {
  filter: brightness(0);
}

@media (min-width: 1024px) {
  .socials {
    position: fixed;
    bottom: 90px;
    right: 30px;
    z-index: 300;
    mix-blend-mode: exclusion;
    pointer-events: auto;
    transition: opacity 0.5s ease;
    gap: 1rem;
    display: flex;
    flex-direction: column;
    margin-bottom: 0;
  }

  .footer .socials img {
    filter: none;
  }

  .footer {
    background: var(--gray);
    padding: 120px 0 90px;
    font-size: 16px;
  }

  .footer__main {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: auto 1fr auto;
    column-gap: 30px;
    padding: 0 30px;
  }

  .footer__logo {
    grid-column: 1 / -1;
    grid-row: 1;
    width: 100%;
    height: auto;
    margin-bottom: 100px;
    transform: translateY(-350px);
  }

  .footer__copy {
    grid-column: 5 / 7;
    grid-row: 3;
    align-self: start;
    margin-bottom: 0;
  }

  .footer__address {
    grid-column: 7 / 11;
    grid-row: 3;
    align-self: start;
    width: auto;
    margin-bottom: 0;
  }

  .footer__info {
    grid-column: 11 / 12;
    grid-row: 3;
    align-self: start;
  }
}
